#ifndef LIBINPUTDBUSSERVER_H
#define LIBINPUTDBUSSERVER_H

#include <QObject>

class libinput_event;
class LibinputDBusServer : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.ukui.libinput.proxy")
public:
    LibinputDBusServer(QObject* parent = nullptr);

public slots:
    int libinputTabletSwitchState();

private:
    int deviceTabletModeState(libinput_event *e);
};

#endif // LIBINPUTDBUSSERVER_H
